/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import * as i0 from "@angular/core";
export declare class SubTabsComponent implements OnInit, OnDestroy {
    private angularPConnect;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    arChildren$: any[];
    defaultTabIndex: number;
    currentTabId: string;
    tabItems: any[];
    availableTabs: any;
    constructor(angularPConnect: AngularPConnectService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    updateTabContent(): void;
    handleTabClick(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SubTabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SubTabsComponent, "app-sub-tabs", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
